unit Unit1;
{ This Demo Program requires a Database with a
  BlobField named 'TEXT' ! }


             
interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, DB_RTEXT, TOOLBAR, Richtext, StdCtrls, ExtCtrls, DB,
  DBTables;

type
  TForm1 = class(TForm)
    Table1: TTable;
    DataSource1: TDataSource;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  DBWPRichText1 : TDBWPRichText;
  WPToolBar1    : TWPToolBar;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  try
    WPToolBar1    := TWPToolBar.Create(Self);
    with WPToolBar1 do
    begin
      Parent := Self;
      Top := 0;
      Left:= 0;
      Height := 32;
      Align := alTop;
      enabled := false;
      sel_ListBoxes    := [SelFontName,SelFontSize,SelFontColor,SelBackgroundColor];
      sel_DatabaseIcons:= [SelNext,SelPrev,SelAdd,SelDel,SelCancel];
      sel_ActionIcons  := [SelOpen,SelSave];
      enabled := true;
      Init;
    end;
    DBWPRichText1 := TDBWPRichText.Create(Self);
    with DBWPRichText1 do
    begin
      Parent := Self;
      Top    := 40;
      Align  := alClient;
      DataSource := DataSource1;
      VerScrollBar := TRUE;
      DataField  := 'TEXT';
      StatusLabel:= Label1;
      WPToolBar  := WPToolBar1;
      Init;
    end;
  except
  end;
end;

end.
